<?php


class QRCAdminMain{


	public function __construct()
	{
		add_action( 'admin_menu', array($this, 'admin_menu_define' ));	
	}

/**
 * This function is Add Menu page call back function.
 */

public function admin_menu_define()
{

    $icon_url = QRC_COMPOSER_URL . 'admin/img/qrc.png';

    add_menu_page(esc_html__('QRC Composer', 'qr-code-composer') , esc_html__('QRC Composer', 'qr-code-composer') , 'manage_options', 'qr_composer', array(
        $this,
        'qrc_option_func'
    ) , $icon_url);


    add_submenu_page('qr_composer', 'QR Print', '<span class="qrc_print_qr_menu">Print QR Code</span>', 'manage_options', 'qrc_print_pdf', array(
        $this,
        'qrc_print_pdf'
    ));

    add_submenu_page('qr_composer', 'QR Download', '<span class="qrc_down_qr_menu">Bulk Download</span>', 'manage_options', 'qrc_list_view', array(
        $this,
        'qrc_list_view'
    ));
    add_submenu_page( 'qr_composer', esc_html__('Get Pro', 'qr-code-composer') , esc_html__('Why Upgrade!', 'qr-code-composer') , 'manage_options', 'qr_pro',array(
        $this, 'qrc_pro_func'  ));


}
/**
 * This function is Qr Code Composer Pro Features Field
 */

function qrc_pro_func(){ 
     $qrc_image_url = QRC_COMPOSER_URL . 'admin/img/';

     require_once  QRC_COMPOSER_PATH . 'admin/pro_features.php';

}

function qrc_list_view(){ ?>
         <div class="qrcodewrap">
             <div class="qr_wp_admin_code qrc_fee_">
                 <ul class="qrc_nav_bar_code">
                    <li>
                        <a href="https://qrcodecomposer.sharabindu.com/wp/qr-code-download/" target="_blank"><?php echo esc_html__('Live Download Page Demo', 'qr-code-composer') ?></a>
                    </li>
                     <li>
                             <a href="https://sharabindu.com/plugins/qr-code-composer/" target="_blank"><?php echo esc_html__('Get Pro', 'qr-code-composer') ?></a>
                         </li>
                         <li>
                             <a href="https://qrcodecomposer.sharabindu.com/wp/docs/introduction/" target="_blank"><?php echo esc_html__('Docs', 'qr-code-composer') ?></a>
                         </li>

                         <li>
                             <a href="https://sharabindu.com/live-chat/" target="_blank"><?php echo esc_html__('Live Chat', 'qr-code-composer') ?></a>
                         </li>
   
                         <li>
                             <a href="https://sharabindu.com/plugins" target="_blank"><?php echo esc_html__('More Plugins', 'qr-code-composer') ?></a>
                         </li>
                 </ul>
                 <ul  class="qrc_hdaer_cnt_code">
                     <li> <img src=" <?php echo QRC_COMPOSER_URL . '/admin/img/logo.png' ?>" alt="qr logo"></li>

                     <li  class="qrc_fd_cnt"> 
                         <h3><?php echo esc_html__('Download QR Code (Pro)', 'qr-code-composer') ?> </h3>
                 <small><?php echo esc_html__('Download QR Code from Backend View (Pro Feature)', 'qr-code-composer') ?></small></li>
                 </ul>

             </div>

          <div class="qr_composer_box">

                        <ul class="qrc_tab_dwn at-tabs-when-possible bbq clearfix at-accordion-or-tabs at-tabs ">
                        <li class="selected">
                         <a><?php echo esc_html__('Download  Settings (Pro)', 'qr-code-composer') ?></a>

                        <section>
                             
                            <?php
                         settings_fields("qrc_list_view_option");

                         do_settings_sections('qrc_list_setting'); ?>
                         </section>



                        </li>
                        <li><a><?php echo esc_html__('Download Page ( Pro)', 'qr-code-composer') ?></a>
                    <section>
                    <div class="qrc_print_pro_demo"  style="background:url(<?php echo esc_attr( QRC_COMPOSER_URL .'/admin/img/qr-download.png') ; ?>);min-height:1196px;width:100%"></div> 
                    </section>
                        </li>
    
                     </ul>

     </div>
    </div>

    <?php

}

function qrc_print_pdf()
{

     ?>

             <div class="qr_wp_admin_code qrc_fee_">
                 <ul class="qrc_nav_bar_code">

                    <li>
                        <a href="https://qrcodecomposer.sharabindu.com/wp/qr-code-print-demo/" target="_blank"><?php echo esc_html__('Live Print Page Demo', 'qr-code-composer') ?></a>
                    </li>
                     <li>
                             <a href="https://sharabindu.com/plugins/qr-code-composer/" target="_blank"><?php echo esc_html__('Get Pro', 'qr-code-composer') ?></a>
                         </li>
                         <li>
                             <a href="https://qrcodecomposer.sharabindu.com/wp/docs/introduction/" target="_blank"><?php echo esc_html__('Docs', 'qr-code-composer') ?></a>
                         </li>

                         <li>
                             <a href="https://sharabindu.com/live-chat/" target="_blank"><?php echo esc_html__('Live Chat', 'qr-code-composer') ?></a>
                         </li>

                         <li>
                             <a href="https://sharabindu.com/plugins" target="_blank"><?php echo esc_html__('More Plugins', 'qr-code-composer') ?></a>
                         </li>
                 </ul>
                 <ul  class="qrc_hdaer_cnt_code">
                     <li> <img src=" <?php echo QRC_COMPOSER_URL . '/admin/img/logo.png' ?>" alt="qr logo"></li>

                         <li  class="qrc_fd_cnt"> 
                             <h3><?php echo esc_html__('QR Code Print (Pro)', 'qr-code-composer') ?> </h3>
                     <small><?php echo esc_html__('Print QR Code In Bulk Qty (Pro Feature)', 'qr-code-composer') ?></small></li>
                 </ul>

             </div>

          <div class="qr_composer_box">

            <ul class="qrc_tab_dwn at-tabs-when-possible bbq clearfix at-accordion-or-tabs at-tabs ">
                        <li class="selected">
                         <a><?php echo esc_html__('Print Settings(Pro)', 'qr-code-composer') ?></a>
                               <section id="qrc_print_setting">
                               <?php
                         
                            settings_fields("qrc_print_option");

                            do_settings_sections('qrc_print_setting'); ?>
                         </section>

                        </li>
                        <li><a><?php echo esc_html__('Print Page(Pro)', 'qr-code-composer') ?></a>
                        <section>
                        <div class="qrc_print_pro_demo"  style="background:url(<?php echo esc_attr( QRC_COMPOSER_URL .'/admin/img/pirntqr-min.png') ; ?>);min-height: 759px;width:100%"></div> 
                        </section>
                        </li>
  
                     </ul>
                     
       </div>

    <?php
     }

     public function qrc_option_func()
     {
         $options = get_option('qrc_composer_settings');
         $qrc_image_url = QRC_COMPOSER_URL . 'admin/img/';
         $active_tab = isset($_GET['tab']) ? $_GET['tab'] : 'qrc__settings';
         
     ?>

     <div>
         <div class="qr_wp_admin_code qrc_fee_">
             <ul class="qrc_nav_bar_code">
                 <li>
                     <a href="https://sharabindu.com/plugins/qr-code-composer/" target="_blank"><?php echo esc_html__('Get Pro', 'qr-code-composer') ?></a>
                 </li>
                 <li>
                     <a href="https://qrcodecomposer.sharabindu.com/wp/docs/introduction/" target="_blank"><?php echo esc_html__('Docs', 'qr-code-composer') ?></a>
                 </li>

                 <li>
                     <a href="https://sharabindu.com/live-chat/" target="_blank"><?php echo esc_html__('Live Chat', 'qr-code-composer') ?></a>
                 </li>
                 <li>
                     <a href="https://qrcodecomposer.sharabindu.com/wp/" target="_blank"><?php echo esc_html__('Pro Demo', 'qr-code-composer') ?></a>
                 </li>
                 <li>
                     <a href="https://sharabindu.com/plugins" target="_blank"><?php echo esc_html__('More Plugins', 'qr-code-composer') ?></a>
                 </li>
             </ul>
             <ul class="qrc_hdaer_cnt_code">
                 <li><img src=" <?php echo QRC_COMPOSER_URL . '/admin/img/logo.png' ?>" alt="qr logo" /></li>

                 <li class="qrc_fd_cnt">
                     <h3><?php echo esc_html__('QR Code Composer', 'qr-code-composer') . ' ' . QRC_COMPOSER_VERSION; ?></h3>
                     <small><?php echo esc_html__('Boost the sales of products & services', 'qr-code-composer') ?></small>
                 </li>
             </ul>
         </div>
         <div class="qr_composer_box">
         <div class="qr_composer_box_menu">
            <ul>
               <li class="selected">
                <a href="?page=qr_composer&tab=qrc__settings" class="<?php echo $active_tab == 'qrc__settings' ? 'selected-active' : ''; ?>"><?php echo esc_html__('Current Page Settings', 'qrc_composer') ?></a>

               </li>

               <li><a href="?page=qr_composer&tab=qrc_vcard_settings" class=" <?php echo $active_tab == 'qrc_vcard_settings' ? 'selected-active' : ''; ?>"><?php echo esc_html__('vCard QR', 'qrc_composer') ?></a>
               </li>
               <li><a href="?page=qr_composer&tab=qrc_logo_settings" class=" <?php echo $active_tab == 'qrc_logo_settings' ? 'selected-active' : ''; ?>"><?php echo esc_html__('Custom Link/Wifi/WhatsApp/Google Map (Pro)', 'qrc_composer') ?></a>
               </li>

            </ul>
         </div>

         <div class="qr_composer_box_box">
                                             
                        <div id="qr_composer_box_djkfh">
                     <form method="post" action="options.php" id="nds_add_user_meta_form" >
                        <?php

                  if ($active_tab == 'qrc__settings')
                  { ?>
            <div  id="dynamic-qr">
         <div class="qrc_wrap-md-8">

            <?php
            settings_errors();
             settings_fields("qrc_composer_settings");

             do_settings_sections('qrc_admin_sec');

             submit_button();
             ?>
    
         </div>
         <div class="qrc_wrap-md-4">
             <div style="float: none; clear: both;">
                 <div class="qrc_pro_ftcs_cont">
                     <h4 class="pro_ftcs__h"><?php echo esc_html__('Upgrade to QR Premium', 'qr-code-composer') ?></h4>

                     <ul><li><?php echo esc_html__('Color QR', 'qr-code-composer') ?></li>
                        <li><?php echo esc_html__('Background Color', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Logo/image Upload', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Custom Link or Text QR', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('QR For Mail Address', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Google Loaction QR Code', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Whatsapp Chat QR', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Wifi Access QR', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Widget Option', 'qr-code-composer') ?></li>

                         <li><?php echo esc_html__('Shortcode with Attribute Supported', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('QR Bulk Print based on Post type', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('QR Bulk Download based Post type', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('QR for Elementor Page builder', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Unlimited Update ("Plus" & "Infinite")', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Premium support & Many more', 'qr-code-composer') ?></li>
              
                     </ul>
                     <a class="qrc_gtnow" href="https://qrcodecomposer.sharabindu.com/wp/"><?php echo esc_html__('View Demo', 'qr-code-composer') ?></a>
                 </div>
                     <div class="qrc_pro_ftcs_cont" style="margin-top:40px">
                     <h4 class="pro_ftcs__h"><?php echo esc_html__('Benefits of a QR Code Logo', 'qr-code-composer') ?></h4>
                     <img src="<?php echo esc_attr( $qrc_image_url .'logo_qr.png') ; ?>" alt="Pro Features" />

                     <ul>
                         <li><?php echo esc_html__('Associate your products with brand', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Boost Website Traffic', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Create a Social Proof', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Draw Customers to Your Brand', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Advertise Event Management', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Consumers easily jump to your brand ', 'qr-code-composer') ?></li>
                     </ul>
                     <a class="qrc_gtnow" href="https://sharabindu.com/plugins/qr-code-composer/"><?php echo esc_html__('Get Premium', 'qr-code-composer') ?></a>
                 </div>
             </div>
         </div>
         </div>

      <?php   }elseif ($active_tab == 'qrc_vcard_settings')
         { ?>

        <div  id="dynamic-qr">
             <div class="qrc_wrap-md-8">

                 <?php
                 settings_errors();
                 settings_fields("qrc_vcard_generator");
                 do_settings_sections('qrc_vacrd_admin_sec');
                 submit_button();
             ?>

         </div>
         <div class="qrc_wrap-md-4">
             <div style="float: none; clear: both;">
                 <div class="qrc_pro_ftcs_cont">
                     <h4 class="pro_ftcs__h"><?php echo esc_html__('vCard Premium', 'qr-code-composer') ?></h4>

                     <ul><li><?php echo esc_html__('Metabox option based on post type', 'qr-code-composer') ?></li>
                        <li><?php echo esc_html__('Display metabox vcard automatically after the content', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Craete dynamic shortcode for each vcard', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('vcard color & backhround', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Downlaod Vcard from matabox', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Download vacrd from frontend', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('WordPress default & Custom post type supported', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Image/logo upload', 'qr-code-composer') ?></li>
                
                     </ul>

                     <a class="qrc_gtnow" href="https://qrcodecomposer.sharabindu.com/wp/card/elizabeth-i-brown/"><?php echo esc_html__('Metabox Demo', 'qr-code-composer') ?></a>
                 </div>
                     <div class="qrc_pro_ftcs_cont" style="margin-top:40px">
                     <h4 class="pro_ftcs__h"><?php echo esc_html__('Benefits of vCard for Post type based', 'qr-code-composer') ?></h4>
                     <img src="<?php echo esc_attr( $qrc_image_url .'vcard.png') ; ?>" alt="Pro Features" />

                     <ul>
                         <li><?php echo esc_html__('Can generate Bulk vCard ', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Custom Post type Support', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Generate with a single  Post/page/product/custom post ', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Display Automatically', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Dynamic Shortcode', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Can Easily manage with customer/employee', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Can Smooth handle with card management', 'qr-code-composer') ?></li>
                         <li><?php echo esc_html__('Draw Customers to Your Brand', 'qr-code-composer') ?></li>
                     </ul>
                     <a class="qrc_gtnow" href="https://qrcodecomposer.sharabindu.com/wp/docs/vcard-metabox/"><?php echo esc_html__('How to it Works', 'qr-code-composer') ?></a>
                 </div>
             </div>
         </div>
         </div>
                 
        <?php }else{ ?>

         <div style="float: none; clear: both;">
             <div class="qrc_wrap-md-8-plus">
                 <ul>
                     <li class="qrc_rprodjf" style="background:url(<?php echo esc_attr( $qrc_image_url .'111.png') ; ?>);min-height: 1493px;width:100%">
                     </li>
                 </ul>
             </div>
         </div>
     <?php } ?>
     </form>

            </div>
            </div>
        </div>
    </div>



     <?php
              }


}
if(class_exists('QRCAdminMain')){

	new QRCAdminMain();
}