<?php
/**
 * The file that defines the bulk print admin area
 *
 * public-facing side of the site and the admin area.
 *
 * @link       https://sharabindu.com
 * @since      1.0.9
 *
 * @package    qrc_composer_pro
 * @subpackage qrc_composer_pro/admin
 */

class QR_code_Admin_settings{

        public function __construct()
        {
        add_action('admin_init', array($this ,'qcr_settings_page'));



    }

    public function qcr_settings_page()
    {

     include QRC_COMPOSER_PATH. '/admin/extra/register.php';

    }

    /**
     * This function is a callback function of  add seeting section
     */

    public function settting_sec_func()
    {

        echo '<div class="QRautodisplay">'.esc_html("These QR codes are automatically displayed after the content, and according to the post type", "qrc_composer").'</div>';
    }

    /**
     * This function is a callback function of  add seeting field
     */

    public function qr_input_size()
    {

        $options = get_option('qrc_composer_settings');
        $options_value = isset($options['qr_code_picture_size_width']) ? $options['qr_code_picture_size_width'] : '';
        $placeholder = esc_html__('Input a numeric value, e.g:200', 'qr-code-composer');

        printf('<input type="text" name="qrc_composer_settings[qr_code_picture_size_width]" class="regular-text"  value="%s" placeholder="Write a Value" required>
            <p class="description">%s</p>', $options_value, $placeholder);

    }

    /**
     * This function is a callback function of  add seeting field
     */

    public function qr_checkbox()
    {

        $excluded_posttypes = array('attachment','revision','nav_menu_item','custom_css','customize_changeset','oembed_cache','user_request','wp_block','scheduled-action','product_variation','shop_order','shop_order_refund','shop_coupon','elementor_library','e-landing-page');

        $types = get_post_types();
        $post_types = array_diff($types, $excluded_posttypes);

        foreach ($post_types as $post_type)
        {
            $post_type_title = get_post_type_object($post_type);
            $options = get_option('qrc_composer_settings');

            $checked = isset($options[$post_type]) ? 'checked' : '';

            printf('<input type="checkbox" id="%s" class="qrc_apple-switch" value="%s" name="qrc_composer_settings[%s]" %s><label for ="%s" id="qrc_label_wrap"><strong>' . $post_type_title->labels->name . '</strong></label></br>', $post_type, $post_type, $post_type, $checked, $post_type);



        }
        echo '<p class="description">if you want to remove QR code from specific post type, then click the swticher</p>';

    }

    /**
     * This function is a callback function of  add seeting field
     */

    public function qr_alignment()
    {

        $options = get_option('qrc_composer_settings');
        $qrc_alignment = isset($options['qrc_select_alignment']) ? $options['qrc_select_alignment'] : '';

        ?>
                <select name="qrc_composer_settings[qrc_select_alignment]">
                    
                <option value="left" <?php echo esc_attr($qrc_alignment) == 'left' ? 'selected' : '' ?>><?php esc_html_e('Left', 'qr-code-composer'); ?></option>
                <option value="right" <?php echo esc_attr($qrc_alignment) == 'right' ? 'selected' : '' ?>><?php esc_html_e('Right', 'qr-code-composer'); ?></option>   
                <option value="center" <?php echo esc_attr($qrc_alignment) == 'center' ? 'selected' : '' ?>><?php esc_html_e('Center', 'qr-code-composer'); ?></option>

                </select>

            <?php
    }

    /**
     * This function is a callback function of  add seeting field
     */

    public function wc_qr_alignment()
    {

        $options = get_option('qrc_composer_settings');
        $qrc_wc_alignment = isset($options['qrc_wc_select_alignment']) ? $options['qrc_wc_select_alignment'] : '';

    ?>
                <select name="qrc_composer_settings[qrc_wc_select_alignment]">
                    
                <option value="left" <?php echo esc_attr($qrc_wc_alignment) == 'left' ? 'selected' : '' ?>><?php esc_html_e('Left', 'qr-code-composer'); ?></option>
                <option value="right" <?php echo esc_attr($qrc_wc_alignment) == 'right' ? 'selected' : '' ?>><?php esc_html_e('Right', 'qr-code-composer'); ?></option>    
                <option value="center" <?php echo esc_attr($qrc_wc_alignment) == 'center' ? 'selected' : '' ?>><?php esc_html_e('Center', 'qr-code-composer'); ?></option>

                </select>

            <?php

    }



        /**
         *  Qr admin Preview field
         */
    public function qr_prev_management(){

         printf('<input type="text" class="get_qrc_pro_input" disabled  value="Pro Feature"><a class="get_qrc_pro"  href="https://sharabindu.com/plugins/qr-code-composer/">Get Pro</a>');

         }

     /**
      * Qr background Color field
      */
    public function qr_bgcolor_management(){


     printf('<input type="text" value="#f9d1c5" class="qrc-bgcolor-picker"><a class="get_qrc_pro"  href="https://sharabindu.com/plugins/qr-code-composer/">Get Pro</a>');

     }


     /**
      *  Qr Color field
      */

    public function qr_color_management(){

        printf( '<input type="text" value="#10008e" class="qrc-bgcolor-picker"><a class="get_qrc_pro"  href="https://sharabindu.com/plugins/qr-code-composer/">Get Pro</a>');

          
     }

     function qr_stcode_management()
     {

         printf('<code>[qrc_code_composer]</code><a  class="get_qrc_pro" href="https://sharabindu.com/plugins/qr-code-composer/">Premium Feature</a>');
         printf('<div style="width:%s; padding:10px 0px"><em>This is the current page URL shortcode, paste it in the desired location of your site, the URL of the current page will be displayed as QR code value. If you are a developer then this is for you: <span style="color:#673ab7"><em ><</em>?php echo do_shortcode["qrc_code_composer"];<em>?</em>></<em></span></div>', '90%');

     }

     function qrc_wc_ptab_name()
     {

         $options = get_option('qrc_composer_settings');
         $qrc_wc_ptab_name = isset($options['qrc_wc_ptab_name']) ? $options['qrc_wc_ptab_name'] : 'QR Code';

         printf('<input type="text" name="qrc_composer_settings[qrc_wc_ptab_name]" value="%s" placeholder="e:g: QR Code">', $qrc_wc_ptab_name); 

     }






     /**
      * This function is a callback function of  add seeting field
      */

     function qr_download_text()
     {

         $options = get_option('qrc_composer_settings');
         $options_value = isset($options['qr_download_text']) ? $options['qr_download_text'] : 'Download QR';

         $qr_download_hide = isset($options['qr_download_hide']) ? $options['qr_download_hide'] : 'no';

         printf('<input type="text" name="qrc_composer_settings[qr_download_text]" value="%s">', $options_value); 
       

         ?>
         <strong>
         <label class="qrc_dwnbtnlabel"><?php esc_html_e('Hide Button', 'qr-code-composer'); ?></label></strong>
         <select name="qrc_composer_settings[qr_download_hide]">
             
         <option value="yes" <?php echo esc_attr($qr_download_hide) == 'yes' ? 'selected' : '' ?>><?php esc_html_e('Yes', 'qr-code-composer'); ?></option>
         <option value="no" <?php echo esc_attr($qr_download_hide) == 'no' ? 'selected' : '' ?>><?php esc_html_e('No', 'qr-code-composer'); ?></option>    

         </select>
     <?php

         $value = (isset($options['qr_dwnbtn_color'])) ? $options['qr_dwnbtn_color'] : '#000';
         printf('<p class="qrc_dwnbtn"><strong>
         <label style="margin-right: 8px;">'.esc_html("Button Color", "qr-code-composer").'</label></strong><input type="text" name="qrc_composer_settings[qr_dwnbtn_color]" value="%s" class="qrc-bgcolor-picker">', $value);
         $valuebg = (isset($options['qr_dwnbtnbg_color'])) ? $options['qr_dwnbtnbg_color'] : '#c8fd8c';
         printf('<strong>
         <label class="qrc_dwnbtnlabel">'.esc_html("Button Background", "qr-code-composer").'</label></strong><input type="text" name="qrc_composer_settings[qr_dwnbtnbg_color]" value="%s" class="qrc-bgcolor-picker"></p>', $valuebg);

     }



    /**
     * admin form field validation
     */

    public function qrc_option_page_sanitize($input)
    {
        $sanitary_values = array();
        if (isset($input['qr_code_picture_size_width']))
        {
            $sanitary_values['qr_code_picture_size_width'] = sanitize_text_field($input['qr_code_picture_size_width']);
        }

        if (isset($input['qrc_select_alignment']))
        {
            $sanitary_values['qrc_select_alignment'] = $input['qrc_select_alignment'];
        }

        if (isset($input['qrc_wc_select_alignment']))
        {
            $sanitary_values['qrc_wc_select_alignment'] = $input['qrc_wc_select_alignment'];
        }
        if (isset($input['qr_download_hide']))
        {
            $sanitary_values['qr_download_hide'] = $input['qr_download_hide'];
        }
        if (isset($input['qr_dwnbtn_color']))
        {
            $sanitary_values['qr_dwnbtn_color'] = $input['qr_dwnbtn_color'];
        }
        if (isset($input['qr_dwnbtnbg_color']))
        {
            $sanitary_values['qr_dwnbtnbg_color'] = $input['qr_dwnbtnbg_color'];
        }
        if (isset($input['qr_download_text']))
        {
            $sanitary_values['qr_download_text'] = sanitize_text_field($input['qr_download_text']);
        }
        if (isset($input['qrc_wc_ptab_name']))
        {
            $sanitary_values['qrc_wc_ptab_name'] = sanitize_text_field($input['qrc_wc_ptab_name']);
        }
        $post_types = get_post_types();

        foreach ($post_types as $post_type)
        {

            if (isset($input[$post_type]))
            {
                $sanitary_values[$post_type] = $input[$post_type];
            }
        }

        return $sanitary_values;
    }


}