<?php
/**
 * The file that defines the bulk qrc_download admin area
 *
 * -facing side of the site and the admin area.
 *
 * @link       https://sharabindu.com
 * @since      3.1.0
 *
 * @package    qrc_composer_pro
 * @subpackage qrc_composer_pro/admin
 */

class QRC_Code_Vcardemo{

    public function __construct()
    {

    add_action('admin_init', array($this ,'qrc_vcard_generator_page'));



}



public function qrc_vcard_generator_page()
{
        register_setting("qrc_vcard_generator", "qrc_vcard_generator", array($this ,'qr_log_option_page_sanitize'));
        
        add_settings_section("qrc_vacrd_admin__section", " ", array($this ,'settting_log_sec_func'), 'qrc_vacrd_admin_sec');
        
        add_settings_field("qrcvacr_vcard", esc_html__("A Single(vCard)", "qrc_composer") , array($this ,"qr_code_vcard"), 'qrc_vacrd_admin_sec', "qrc_vacrd_admin__section");

        add_settings_field("qr_code_size", esc_html__("QR Code Size", "qrc_composer") , array($this ,"qr_log_input_size"), 'qrc_vacrd_admin_sec', "qrc_vacrd_admin__section");

        add_settings_field("qrcvcrad_download_btn", esc_html__("Download QR Button", "qrc_composer") , array($this ,"qrcvcrad_download_btn"), 'qrc_vacrd_admin_sec', "qrc_vacrd_admin__section");

        add_settings_field("qr_checkbox_vcrad", esc_html__("Select Post type for vCard Metabox (PRO)", "qrc_composer") ,array($this , "qr_checkbox"), 'qrc_vacrd_admin_sec', "qrc_vacrd_admin__section");



        add_settings_field("qr_log_color_management", esc_html__("QR Color (PRO)", "qrc_composer") , array($this ,"qr_log_color_management"), 'qrc_vacrd_admin_sec', "qrc_vacrd_admin__section");

        add_settings_field("qr_log_bgcolor_management", esc_html__("QR Background Color (PRO)", "qrc_composer") , array($this ,"qr_log_bgcolor_management"), 'qrc_vacrd_admin_sec', "qrc_vacrd_admin__section");

        add_settings_field("qrc_metavcard_display", esc_html__("Display After The Content(Automatically (PRO))", "qrc_composer") ,array($this , "qrc_metavcard_display"), 'qrc_vacrd_admin_sec', "qrc_vacrd_admin__section");
}


/**
 * This function is a callback function of  add seeting field
 */

public function qr_code_vcard()
{


    $options = get_option('qrc_vcard_generator');

    $qrcvcardsingle_name = isset($options['qrcvcardsingle_name']) ? $options['qrcvcardsingle_name'] : '';    
    $qrcvcardsingle_company = isset($options['qrcvcardsingle_company']) ? $options['qrcvcardsingle_company'] : '';
    $qrcvcardsingle_subtitle = isset($options['qrcvcardsingle_subtitle']) ? $options['qrcvcardsingle_subtitle'] : '';
    $qrcvcardsingle_mbunber = isset($options['qrcvcardsingle_mbunber']) ? $options['qrcvcardsingle_mbunber'] : '';
    $qrcvcardsingle_pbunber = isset($options['qrcvcardsingle_pbunber']) ? $options['qrcvcardsingle_pbunber'] : '';
    $qrcvcardsingle_email = isset($options['qrcvcardsingle_email']) ? $options['qrcvcardsingle_email'] : '';
    $qrcvcardsingle_address = isset($options['qrcvcardsingle_address']) ? $options['qrcvcardsingle_address'] : '';
    $qrcvcardsingle_note = isset($options['qrcvcardsingle_note']) ? $options['qrcvcardsingle_note'] : '';
    $qrcvcardsingle_website = isset($options['qrcvcardsingle_website']) ? $options['qrcvcardsingle_website'] : '';


    printf('<label class="mqrc_label">Name:</label>
        <input type="text" name="qrc_vcard_generator[qrcvcardsingle_name]"   value="%s" placeholder="Enter Name" id="mrc_wifi_p">
        <label  class="mqrc_label">Company / Title:</label> 
            <input type="text"  name="qrc_vcard_generator[qrcvcardsingle_company]"   value="%s" placeholder="Enter Title" id="mrc_wifi_p" > 
            <label  class="mqrc_label">Sub Title:</label>    
            <input type="text"  name="qrc_vcard_generator[qrcvcardsingle_subtitle]"   value="%s" placeholder="Enter Subtitle" id="mrc_wifi_p"> 
            <label class="mqrc_label">Mobile Number:</label>    
            <input type="text"  name="qrc_vcard_generator[qrcvcardsingle_mbunber]"   value="%s" placeholder="Enter Mobile Number" id="mrc_wifi_p" > 
            <label  class="mqrc_label">Phone Number:</label>    
            <input type="text"  name="qrc_vcard_generator[qrcvcardsingle_pbunber]"   value="%s" placeholder="Enter Phone Number" id="mrc_wifi_p" >
            <label class="mqrc_label">Email:</label>    
            <input type="text"  name="qrc_vcard_generator[qrcvcardsingle_email]"   value="%s" placeholder="Enter email" id="mrc_wifi_p" >
            <label class="mqrc_label">Website:</label>    
            <input type="text"  name="qrc_vcard_generator[qrcvcardsingle_website]"   value="%s" placeholder="Enter website" id="mrc_wifi_p" >
            <label class="mqrc_label">Address:</label>   
           <textarea name="qrc_vcard_generator[qrcvcardsingle_address]" placeholder="Enter Addess" id="mrc_wifi_p" >%s</textarea>
            <label class="mqrc_label">Note:</label>   
           <textarea name="qrc_vcard_generator[qrcvcardsingle_note]" placeholder="Enter Note" id="mrc_wifi_p" >%s</textarea>
            
            <p class="qr_st_val"><em>Shortcode:</em>
            <input id="qrcvacrdsingle" type="text" value="[qrc_vcard_single]" readonly style="width:300px"></p>', $qrcvcardsingle_name, $qrcvcardsingle_company, $qrcvcardsingle_subtitle,$qrcvcardsingle_mbunber,$qrcvcardsingle_pbunber,$qrcvcardsingle_email, $qrcvcardsingle_website,$qrcvcardsingle_address,$qrcvcardsingle_note);



}








function qr_checkbox()
{

    $excluded_posttypes = array('attachment','revision','nav_menu_item','custom_css','customize_changeset','oembed_cache','user_request','wp_block','scheduled-action','product_variation','shop_order','shop_order_refund','shop_coupon','elementor_library','e-landing-page');

    $types = get_post_types();
    $post_types = array_diff($types, $excluded_posttypes);
    foreach ($post_types as $post_type)
    {
        $post_type_title = get_post_type_object($post_type);

        $options = get_option('qrc_vcard_generator');

        $checked = isset($options[$post_type]) ? 'checked' : '';

        printf('<input type="checkbox" id="%s" class="qrc_apple-switch" value="%s" name="qrc_vcard_generator[%s]" %s>
            <label for ="%s" id="qr-label-wrap"><strong>' . $post_type_title->labels->name . '</strong></label></br>', $post_type, $post_type, $post_type, $checked, $post_type);

    }
    printf('<div><em>Clicking on this Switcher button will show the vcard metadata in that post type <a href="https://qrcodecomposer.sharabindu.com/wp/docs/vcard-metabox/" style="color:#9bc100;text-decoration:underline">View Docs</a></<em></div>');
}
function qrc_metavcard_display()
{

        $options = get_option('qrc_vcard_generator');

        $checked = isset($options['qrc_vcard_displaymenta']) ? 'checked' : '';

        printf('<input type="checkbox" class="qrc_apple-switch" value="qrc_vcard_displaymenta" name="qrc_vcard_generator[qrc_vcard_displaymenta]" %s><div><em>Clicking this switcher button will automatically display the QR Code after the content in the frontend</<em></div>',$checked);

    }

/**
 * This function is a callback function of  add seeting section
 */

public function settting_log_sec_func()
{

    echo '<div class="QRautodisplayMetas">'.esc_html("This is a single vCard, which is displayed by the below shortcode", "qrc_composer").'</div>';
}
/**
 * This function is a callback function of  add seeting field
 */

function qrcvcrad_download_btn()
{

    $options = get_option('qrc_vcard_generator');
    $options_value = isset($options['qrcvcrad_download_text']) ? $options['qrcvcrad_download_text'] : 'Download QR';

    $qrcvcrad_wnload_hide = isset($options['qrcvcrad_wnload_hide']) ? $options['qrcvcrad_wnload_hide'] : 'no';

    printf('<input type="text" name="qrc_vcard_generator[qrcvcrad_download_text]" value="%s" placeholder="Download Qr">', $options_value); 
  

    ?>
    <strong>
    <label class="qrc_dwnbtnlabel"><?php esc_html_e('Hide Button', 'qrc_composer'); ?></label></strong>
    <select name="qrc_vcard_generator[qrcvcrad_wnload_hide]">
        
    <option value="yes" <?php echo esc_attr($qrcvcrad_wnload_hide) == 'yes' ? 'selected' : '' ?>><?php esc_html_e('Yes', 'qrc_composer'); ?></option>
    <option value="no" <?php echo esc_attr($qrcvcrad_wnload_hide) == 'no' ? 'selected' : '' ?>><?php esc_html_e('No', 'qrc_composer'); ?></option>    

    </select>
<?php

    $value = (isset($options['qrcvcrad_dwnbtn_color'])) ? $options['qrcvcrad_dwnbtn_color'] : '#000';
    printf('<p class="qrc_dwnbtn"><strong>
    <label style="margin-right: 8px;">'.esc_html("Button Color", "qrc_composer").'</label></strong><input type="text" name="qrc_vcard_generator[qrcvcrad_dwnbtn_color]" value="%s" class="qrc-bgcolor-picker">', $value);
    $valuebg = (isset($options['qrcvcrad_btnbg_color'])) ? $options['qrcvcrad_btnbg_color'] : '#FF7878';
    printf('<strong>
    <label class="qrc_dwnbtnlabel">'.esc_html("Button Background", "qrc_composer").'</label></strong><input type="text" name="qrc_vcard_generator[qrcvcrad_btnbg_color]" value="%s" class="qrc-bgcolor-picker"></p>', $valuebg);

   echo '<h4 class="dfdurtrhi">These vCard QR codes are generated and displayed based on the post type</h4>';
   echo '<p class="yiuoiopript">These are pro features, but if you want to see the vcard metbox option, click a post type and edit that post type single page. Suppose you click on Products, then go to <i class=" dashicons-before dashicons-archive"></i> Products > All Products> Edit a Product>Scroll down and see vcard Options</p>';
}



/**
 * This function is a callback function of  add seeting field
 */

public function qr_log_input_size()
{

    $options = get_option('qrc_vcard_generator');
    $options_value = isset($options['qrcvcrad_size_width']) ? $options['qrcvcrad_size_width'] : 250;
    $note = esc_html('Note: If you fill in all the fields in the vCard metadata, keep the QR size large for better and faster scan, we recommend 300', 'qrc_composer');

    printf('<input type="text" id="qr_bg" name="qrc_vcard_generator[qrcvcrad_size_width]"   value="%s" placeholder="input a Square Value" required>
        <p style="color:#5e10e8; width:%s"><em>%s</em></p>', $options_value, '80%' ,$note);

}

/**
 * This function is a callback function of  add seeting field
 */

/**
 * Qr background Color field
 */
public function qr_log_bgcolor_management()
{
    printf('<input type="text" name="qrc_vcard_generator[qrcvcrad_bg]" value="#fff" readonly');

}

/**
 *  Qr Color field
 */

public function qr_log_color_management()
{

    printf('<input type="text" value="#07009b" readonly>');

}

/**
 * admin form field validation
 */

public function qr_log_option_page_sanitize($input)
{
    $sanitary_values = array();
    if (isset($input['qrcvcrad_size_width']))
    {
        $sanitary_values['qrcvcrad_size_width'] = sanitize_text_field($input['qrcvcrad_size_width']);
    }
    if (isset($input['qrcvcrad_wnload_hide']))
    {
        $sanitary_values['qrcvcrad_wnload_hide'] = $input['qrcvcrad_wnload_hide'];
    }
    if (isset($input['qrcvcrad_dwnbtn_color']))
    {
        $sanitary_values['qrcvcrad_dwnbtn_color'] = $input['qrcvcrad_dwnbtn_color'];
    }
    if (isset($input['qrcvcrad_btnbg_color']))
    {
        $sanitary_values['qrcvcrad_btnbg_color'] = $input['qrcvcrad_btnbg_color'];
    }


    if (isset($input['qrcvcrad_download_text']))
    {
        $sanitary_values['qrcvcrad_download_text'] = sanitize_text_field($input['qrcvcrad_download_text']);
    }
    
    if (isset($input['qrcvcardsingle_name']))
    {
        $sanitary_values['qrcvcardsingle_name'] = sanitize_text_field($input['qrcvcardsingle_name']);
    }
    
    if (isset($input['qrcvcardsingle_company']))
    {
        $sanitary_values['qrcvcardsingle_company'] = sanitize_text_field($input['qrcvcardsingle_company']);
    }
    
    if (isset($input['qrcvcardsingle_subtitle']))
    {
        $sanitary_values['qrcvcardsingle_subtitle'] = sanitize_text_field($input['qrcvcardsingle_subtitle']);
    }
    
    if (isset($input['qrcvcardsingle_mbunber']))
    {
        $sanitary_values['qrcvcardsingle_mbunber'] = sanitize_text_field($input['qrcvcardsingle_mbunber']);
    }
    
    if (isset($input['qrcvcardsingle_pbunber']))
    {
        $sanitary_values['qrcvcardsingle_pbunber'] = sanitize_text_field($input['qrcvcardsingle_pbunber']);
    }
    
    if (isset($input['qrcvcardsingle_email']))
    {
        $sanitary_values['qrcvcardsingle_email'] = sanitize_text_field($input['qrcvcardsingle_email']);
    }
    
    if (isset($input['qrcvcardsingle_address']))
    {
        $sanitary_values['qrcvcardsingle_address'] = sanitize_text_field($input['qrcvcardsingle_address']);
    }
    
    if (isset($input['qrcvcardsingle_note']))
    {
        $sanitary_values['qrcvcardsingle_note'] = sanitize_text_field($input['qrcvcardsingle_note']);
    }
    
    if (isset($input['qrcvcardsingle_website']))
    {
        $sanitary_values['qrcvcardsingle_website'] = sanitize_text_field($input['qrcvcardsingle_website']);
    }
    if (isset($input['qrc_vcard_displaymenta']))
    {
        $sanitary_values['qrc_vcard_displaymenta'] = sanitize_text_field($input['qrc_vcard_displaymenta']);
    }

    $post_types = get_post_types();

    foreach ($post_types as $post_type)
    {

        if (isset($input[$post_type]))
        {
            $sanitary_values[$post_type] = $input[$post_type];
        }
    }

    return $sanitary_values;
}

}
if(class_exists('QRC_Code_Vcardemo')){

    new QRC_Code_Vcardemo();
}